<?php

/*REFERÊNCIAS*/
/*https://www.w3schools.com/js/js_json_php.asp*/
/*https://secure.php.net/manual/pt_BR/book.json.php*/


/*
	$host = "mysql02.ibdeias.hospedagemdesites.ws";
	$user = "ibdeias1";
	$pass = "rootbanco";
	$database = "ibdeias1";

  $conexao = mysqli_connect($host, $user, $pass, $database) or die(mysqli_error($conexao) . "<br>Erro na query: <br>");

  mysqli_select_db($conexao, $database) or die (mysqli_error($conexao) . "<br>Erro na query: <br>");
  
*/



include_once("connect2.php");




    $consulta_venda = "select  venda.id_cliente, 
                               venda.vl_total_produtos,
                                 venda.vl_desconto,
                                 venda.dh_criacao,
                                 cli.ds_nome,
                                 cli.ds_endereco
                           from erpc_pedidos_venda venda inner join erpc_clientes cli 
                             on venda.id_cliente = cli.id
                          where venda.id = 1";
  
//echo "olalalalalaa";

      $resultado = mysqli_query($conexao, $consulta_venda) or die (mysqli_error($conexao) . "<br>Erro na query: <br>". $consulta);
		  
          if (mysqli_num_rows($resultado) > 0) {
             while($row = mysqli_fetch_assoc($resultado)){

                $cabec['id_cliente']         = $row['id_cliente'];
                $cabec['vl_total_produtos']  = $row['vl_total_produtos'];
                $cabec['dh_criacao']         = $row['dh_criacao'];
                $cabec['ds_nome']            = $row['ds_nome'];
                $cabec['ds_endereco']        = $row['ds_endereco'];

             
                //$produtos_list[] = $produto;
            }


            $consulta_itens = "select itens.id_pedido,
                                      itens.id_produto,
                                      prod.cd_produto,
                                      prod.ds_produto
                                  from erpc_pedidos_itens itens inner join erpc_produtos prod
                                    on itens.id_produto = prod.id
                                where id_pedido = 1;";
              
            //echo "olalalalalaa";

                  $resultado_itens = mysqli_query($conexao, $consulta_itens) or die (mysqli_error($conexao) . "<br>Erro na query: <br>". $consulta);
                  
                      if (mysqli_num_rows($resultado_itens) > 0) {
                         while($row = mysqli_fetch_assoc($resultado_itens)){

                            $item['id_pedido']     = $row['id_pedido'];
                            $item['id_produto']    = $row['id_produto'];
                            $item['cd_produto']    = $row['cd_produto'];
                            $item['ds_produto']    = $row['ds_produto'];
                            

                         
                            $itens_list[] = $item;
                        }




                $status = array( 'cabecalho'   => $cabec
                                ,'itens'       => $itens_list
                                ,'observacao'  => 'lalala'
                                );

                $json = json_encode($status);
        
        /*
              echo $json;
                exit(0);
        */
             
              }
            }
 


          $dados = array(
            'dados' => $json,
          );

          //echo $json;
          //exit;




         // $iniciar = curl_init('http://www.ibdeias.tecnologia.ws/recebe_tabela_inscricao.php');
           $iniciar = curl_init('http://localhost/saudesabor/recebe_tabela_inscricao.php');
          
          
                                                                      
          curl_setopt($iniciar, CURLOPT_CUSTOMREQUEST, "POST");                                                                     
          curl_setopt($iniciar, CURLOPT_POSTFIELDS, $dados);                                                                         
          curl_setopt($iniciar, CURLOPT_RETURNTRANSFER, true);                                                                      
 /*
          curl_setopt($iniciar, CURLOPT_HTTPHEADER, array(                                                                          
              'Content-Type: application/json',                                                                                
              'Content-Length: ' . strlen($json))                                                                       
          );                                                                                                                   
 */


          $result = curl_exec($iniciar);
          echo "<pre>";
          echo $result;
          echo "</pre>";

          if(!curl_exec($iniciar)){
            die('Error: "' . curl_error($iniciar) . '" - Code: ' . curl_errno($iniciar));
          }
          
        
          curl_close($iniciar);
          

          
?>